summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/gdm/README16
-rw-r--r--system/gdm/gdm.SlackBuild45
-rw-r--r--system/gdm/gdm.info12
-rw-r--r--system/gdm/slack-desc2
4 files changed, 41 insertions, 34 deletions
diff --git a/system/gdm/README b/system/gdm/README
index 4a551598de..09b9540ea2 100644
--- a/system/gdm/README
+++ b/system/gdm/README
@@ -1,11 +1,11 @@
-The Gnome Display Manager (GDM) is a display manager that implements all
-significant features required for managing local and remote displays.
-For full information about GDM features, refer to the documentation.
+The Gnome Display Manager (GDM) is a display manager that
+implements all significant features required for managing
+local and remote displays. For full information about
+GDM features, refer to the documentation.
-The Sessions that gdm uses are installed in /etc/X11/gdm/Sessions.
-Several example files are included for blackbox, fluxbox, fvwm2,
+The Sessions that gdm uses are installed in /etc/X11/gdm/Sessions.
+Several example files are included for blackbox, fluxbox, fvwm2,
kde, twm, windowmaker, and xfce.
-gdm requires libgnomecanvas and gnome-doc-utils, both of which are
-also available at SlackBuilds.org
-
+gdm requires libgnomecanvas and gnome-doc-utils, both of which
+are also available at SlackBuilds.org
diff --git a/system/gdm/gdm.SlackBuild b/system/gdm/gdm.SlackBuild
index bb9e45b773..4c25daafed 100644
--- a/system/gdm/gdm.SlackBuild
+++ b/system/gdm/gdm.SlackBuild
@@ -1,12 +1,15 @@
#!/bin/sh
+
+# Slackbuild Script for gdm
#
# Written by James Rich james@chowhouse.com
-
+#
# Assumed to be in public domain per our submission guidelines
# Modified by the SlackBuilds.org project
+# Script maintained by Frank Caraballo <fecaraballo{at}gmail{dot}com>
PRGNAM=gdm
-VERSION=2.16.1
+VERSION=2.20.4
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -24,24 +27,17 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
-find . -perm 666 -exec chmod 644 {} \;
-find . -perm 664 -exec chmod 644 {} \;
-find . -perm 600 -exec chmod 644 {} \;
-find . -perm 444 -exec chmod 644 {} \;
-find . -perm 400 -exec chmod 644 {} \;
-find . -perm 440 -exec chmod 644 {} \;
-find . -perm 777 -exec chmod 755 {} \;
-find . -perm 775 -exec chmod 755 {} \;
-find . -perm 511 -exec chmod 755 {} \;
-find . -perm 711 -exec chmod 755 {} \;
-find . -perm 555 -exec chmod 755 {} \;
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -49,24 +45,35 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc/X11 \
--localstatedir=/var/lib/gdm \
- --docdir=/usr/doc \
- --with-dmconfdir=/etc/X11/gdm \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --program-prefix="" \
+ --program-suffix="" \
--disable-scrollkeeper \
--enable-console-helper=no \
+ --enable-shared=yes \
--enable-static=no \
+ --enable-ipv6=yes \
+ --with-dmconfdir=/etc/X11/gdm \
|| exit 1
make || exit 1
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a README COPYING AUTHORS TODO docs/C/* \
+cp -a AUTHORS ChangeLog COPYING INSTALL MAINTAINERS NEWS README* TODO docs/C/* \
$PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Simple session files designed to work with Slackware:
mkdir -p $PKG/etc/X11/gdm/Sessions
diff --git a/system/gdm/gdm.info b/system/gdm/gdm.info
index adb173ab41..ec1a85eafd 100644
--- a/system/gdm/gdm.info
+++ b/system/gdm/gdm.info
@@ -1,8 +1,8 @@
PRGNAM="gdm"
-VERSION="2.16.1"
+VERSION="2.20.4"
HOMEPAGE="http://www.gnome.org/projects/gdm/"
-DOWNLOAD="http://ftp.acc.umu.se/pub/GNOME/sources/gdm/2.16/"
-MD5SUM="a2e68fac4763f1cf1050eeb19accb43f"
-MAINTAINER="James Rich"
-EMAIL="james@chowhouse.com"
-APPROVED="rworkman"
+DOWNLOAD="http://ftp.acc.umu.se/pub/GNOME/sources/gdm/2.20/gdm-2.20.4.tar.bz2"
+MD5SUM="53a75133cadf1de5fea2be49483b9ce3"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="David Somero"
diff --git a/system/gdm/slack-desc b/system/gdm/slack-desc
index d762f7eac8..f7c6eac114 100644
--- a/system/gdm/slack-desc
+++ b/system/gdm/slack-desc
@@ -13,7 +13,7 @@ gdm: implements all significant features required for managing
gdm: local and remote displays. For full information about
gdm: GDM features, refer to the documentation.
gdm:
-gdm:
+gdm: Homepage: http://www.gnome.org/projects/gdm/
gdm:
gdm:
gdm: